diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/simulator-test-suite.cc ns-3.44/src/core/test/simulator-test-suite.cc
--- ns-3.43/src/core/test/simulator-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/simulator-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -16,33 +16,33 @@
 using namespace ns3;
 
 /**
- * \file
- * \ingroup simulator-tests
+ * @file
+ * @ingroup simulator-tests
  * Simulator class test suite
  */
 
 /**
- * \ingroup core-tests
- * \defgroup simulator-tests Simulator class tests
+ * @ingroup core-tests
+ * @defgroup simulator-tests Simulator class tests
  */
 
 /**
- * \ingroup simulator-tests
+ * @ingroup simulator-tests
  *
- * \brief Check that basic event handling is working with different Simulator implementations.
+ * @brief Check that basic event handling is working with different Simulator implementations.
  */
 class SimulatorEventsTestCase : public TestCase
 {
   public:
     /**
      * Constructor.
-     * \param schedulerFactory Scheduler factory.
+     * @param schedulerFactory Scheduler factory.
      */
     SimulatorEventsTestCase(ObjectFactory schedulerFactory);
     void DoRun() override;
     /**
      * Test Event.
-     * \param value Event parameter.
+     * @param value Event parameter.
      * @{
      */
     void EventA(int value);
@@ -58,7 +58,7 @@
 
     /**
      * Get the simulator time.
-     * \return The actual time [ms].
+     * @return The actual time [ms].
      */
     uint64_t NowUs();
     /**
@@ -201,9 +201,9 @@
 }
 
 /**
- * \ingroup simulator-tests
+ * @ingroup simulator-tests
  *
- * \brief Check that all templates are instantiated correctly.
+ * @brief Check that all templates are instantiated correctly.
  *
  * This is a compilation test, it cannot fail at runtime.
  */
@@ -211,13 +211,20 @@
 {
   public:
     SimulatorTemplateTestCase();
+
     /**
      * Ref and Unref - only here for testing of Ptr<>
      *
      * @{
      */
-    void Ref() const {};
-    void Unref() const {};
+    void Ref() const
+    {
+    }
+
+    void Unref() const
+    {
+    }
+
     /** @} */
 
   private:
@@ -361,17 +368,17 @@
 SimulatorTemplateTestCase::DoRun()
 {
     // Test schedule of const methods
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar0c, this);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar1c, this, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar2c, this, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar3c, this, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar4c, this, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar5c, this, 0, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::cbaz1c, this, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::cbaz2c, this, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::cbaz3c, this, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::cbaz4c, this, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::cbaz5c, this, 0, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar0c, this);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar1c, this, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar2c, this, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar3c, this, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar4c, this, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar5c, this, 0, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::cbaz1c, this, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::cbaz2c, this, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::cbaz3c, this, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::cbaz4c, this, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::cbaz5c, this, 0, 0, 0, 0, 0);
     Simulator::ScheduleNow(&SimulatorTemplateTestCase::bar0c, this);
     Simulator::ScheduleNow(&SimulatorTemplateTestCase::bar1c, this, 0);
     Simulator::ScheduleNow(&SimulatorTemplateTestCase::bar2c, this, 0, 0);
@@ -394,11 +401,11 @@
     Simulator::ScheduleDestroy(&SimulatorTemplateTestCase::cbaz3c, this, 0, 0, 0);
     Simulator::ScheduleDestroy(&SimulatorTemplateTestCase::cbaz4c, this, 0, 0, 0, 0);
     Simulator::ScheduleDestroy(&SimulatorTemplateTestCase::cbaz5c, this, 0, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::baz1c, this, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::baz2c, this, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::baz3c, this, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::baz4c, this, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::baz5c, this, 0, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::baz1c, this, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::baz2c, this, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::baz3c, this, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::baz4c, this, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::baz5c, this, 0, 0, 0, 0, 0);
     Simulator::ScheduleNow(&SimulatorTemplateTestCase::baz1c, this, 0);
     Simulator::ScheduleNow(&SimulatorTemplateTestCase::baz2c, this, 0, 0);
     Simulator::ScheduleNow(&SimulatorTemplateTestCase::baz3c, this, 0, 0, 0);
@@ -411,32 +418,32 @@
     Simulator::ScheduleDestroy(&SimulatorTemplateTestCase::baz5c, this, 0, 0, 0, 0, 0);
 
     // Test of schedule const methods with Ptr<> pointers
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar0c,
                         Ptr<const SimulatorTemplateTestCase>(this));
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar1c,
                         Ptr<const SimulatorTemplateTestCase>(this),
                         0);
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar2c,
                         Ptr<const SimulatorTemplateTestCase>(this),
                         0,
                         0);
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar3c,
                         Ptr<const SimulatorTemplateTestCase>(this),
                         0,
                         0,
                         0);
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar4c,
                         Ptr<const SimulatorTemplateTestCase>(this),
                         0,
                         0,
                         0,
                         0);
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar5c,
                         Ptr<const SimulatorTemplateTestCase>(this),
                         0,
@@ -500,17 +507,17 @@
                                0);
 
     // Test schedule of raw functions
-    Simulator::Schedule(Seconds(0.0), &foo0);
-    Simulator::Schedule(Seconds(0.0), &foo1, 0);
-    Simulator::Schedule(Seconds(0.0), &foo2, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &foo3, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &foo4, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &foo5, 0, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &cber1, 0);
-    Simulator::Schedule(Seconds(0.0), &cber2, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &cber3, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &cber4, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &cber5, 0, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &foo0);
+    Simulator::Schedule(Seconds(0), &foo1, 0);
+    Simulator::Schedule(Seconds(0), &foo2, 0, 0);
+    Simulator::Schedule(Seconds(0), &foo3, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &foo4, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &foo5, 0, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &cber1, 0);
+    Simulator::Schedule(Seconds(0), &cber2, 0, 0);
+    Simulator::Schedule(Seconds(0), &cber3, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &cber4, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &cber5, 0, 0, 0, 0, 0);
     Simulator::ScheduleNow(&foo0);
     Simulator::ScheduleNow(&foo1, 0);
     Simulator::ScheduleNow(&foo2, 0, 0);
@@ -535,17 +542,17 @@
     Simulator::ScheduleDestroy(&cber5, 0, 0, 0, 0, 0);
 
     // Test schedule of normal member methods
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar0, this);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar1, this, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar2, this, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar3, this, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar4, this, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::bar5, this, 0, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::cbaz1, this, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::cbaz2, this, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::cbaz3, this, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::cbaz4, this, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::cbaz5, this, 0, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar0, this);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar1, this, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar2, this, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar3, this, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar4, this, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::bar5, this, 0, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::cbaz1, this, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::cbaz2, this, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::cbaz3, this, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::cbaz4, this, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::cbaz5, this, 0, 0, 0, 0, 0);
     Simulator::ScheduleNow(&SimulatorTemplateTestCase::bar0, this);
     Simulator::ScheduleNow(&SimulatorTemplateTestCase::bar1, this, 0);
     Simulator::ScheduleNow(&SimulatorTemplateTestCase::bar2, this, 0, 0);
@@ -570,32 +577,32 @@
     Simulator::ScheduleDestroy(&SimulatorTemplateTestCase::cbaz5, this, 0, 0, 0, 0, 0);
 
     // test schedule of normal methods with Ptr<> pointers
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar0,
                         Ptr<SimulatorTemplateTestCase>(this));
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar1,
                         Ptr<SimulatorTemplateTestCase>(this),
                         0);
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar2,
                         Ptr<SimulatorTemplateTestCase>(this),
                         0,
                         0);
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar3,
                         Ptr<SimulatorTemplateTestCase>(this),
                         0,
                         0,
                         0);
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar4,
                         Ptr<SimulatorTemplateTestCase>(this),
                         0,
                         0,
                         0,
                         0);
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &SimulatorTemplateTestCase::bar5,
                         Ptr<SimulatorTemplateTestCase>(this),
                         0,
@@ -661,16 +668,16 @@
     // Simulator::Schedule (Seconds (0.0), &cber1, 0.0);
 
     // This code appears to be duplicate test code.
-    Simulator::Schedule(Seconds(0.0), &ber1, 0);
-    Simulator::Schedule(Seconds(0.0), &ber2, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &ber3, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &ber4, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &ber5, 0, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::baz1, this, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::baz2, this, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::baz3, this, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::baz4, this, 0, 0, 0, 0);
-    Simulator::Schedule(Seconds(0.0), &SimulatorTemplateTestCase::baz5, this, 0, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &ber1, 0);
+    Simulator::Schedule(Seconds(0), &ber2, 0, 0);
+    Simulator::Schedule(Seconds(0), &ber3, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &ber4, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &ber5, 0, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::baz1, this, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::baz2, this, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::baz3, this, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::baz4, this, 0, 0, 0, 0);
+    Simulator::Schedule(Seconds(0), &SimulatorTemplateTestCase::baz5, this, 0, 0, 0, 0, 0);
     Simulator::ScheduleNow(&ber1, 0);
     Simulator::ScheduleNow(&ber2, 0, 0);
     Simulator::ScheduleNow(&ber3, 0, 0, 0);
@@ -697,9 +704,9 @@
 }
 
 /**
- * \ingroup simulator-tests
+ * @ingroup simulator-tests
  *
- * \brief The simulator Test Suite.
+ * @brief The simulator Test Suite.
  */
 class SimulatorTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/splitstring-test-suite.cc ns-3.44/src/core/test/splitstring-test-suite.cc
--- ns-3.43/src/core/test/splitstring-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/splitstring-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -16,18 +16,18 @@
 {
 
 /**
- * \file
- * \ingroup core-tests
+ * @file
+ * @ingroup core-tests
  * SplitString test suite implementation.
  */
 
 /**
- * \ingroup core-tests
- * \defgroup environ-var-tests Environment variable caching tests
+ * @ingroup core-tests
+ * @defgroup environ-var-tests Environment variable caching tests
  */
 
 /**
- * \ingroup core-tests
+ * @ingroup core-tests
  *
  * SplitString tests.
  */
@@ -47,9 +47,9 @@
     /**
      * Read \p str and check that it contains only the key,value pairs
      * from \p expect.
-     * \param where The test condition being checked.
-     * \param str The environment variable to parse and check.
-     * \param expect The set of key,values expected.
+     * @param where The test condition being checked.
+     * @param str The environment variable to parse and check.
+     * @param expect The set of key,values expected.
      */
     void Check(const std::string& where, const std::string& str, const StringVector& expect);
 
@@ -120,7 +120,7 @@
 }
 
 /**
- * \ingroup typeid-tests
+ * @ingroup typeid-tests
  *
  * TypeId test suites.
  */
@@ -137,7 +137,7 @@
 }
 
 /**
- * \ingroup environ-var-tests
+ * @ingroup environ-var-tests
  * Static variable for test initialization.
  */
 static SplitStringTestSuite g_SplitStringTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/threaded-test-suite.cc ns-3.44/src/core/test/threaded-test-suite.cc
--- ns-3.43/src/core/test/threaded-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/threaded-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -26,20 +26,20 @@
 constexpr int MAXTHREADS = 64;
 
 /**
- * \file
- * \ingroup threaded-tests
+ * @file
+ * @ingroup threaded-tests
  * Threaded events test suite
  */
 
 /**
- * \ingroup core-tests
- * \defgroup threaded-tests Threaded events tests
+ * @ingroup core-tests
+ * @defgroup threaded-tests Threaded events tests
  */
 
 /**
- * \ingroup threaded-tests
+ * @ingroup threaded-tests
  *
- * \brief Check threaded event handling with various thread number, schedulers, and  simulator
+ * @brief Check threaded event handling with various thread number, schedulers, and  simulator
  * types.
  */
 class ThreadedSimulatorEventsTestCase : public TestCase
@@ -48,41 +48,41 @@
     /**
      * Constructor.
      *
-     * \param schedulerFactory The scheduler factory.
-     * \param simulatorType The simulator type.
-     * \param threads The number of threads.
+     * @param schedulerFactory The scheduler factory.
+     * @param simulatorType The simulator type.
+     * @param threads The number of threads.
      */
     ThreadedSimulatorEventsTestCase(ObjectFactory schedulerFactory,
                                     const std::string& simulatorType,
                                     unsigned int threads);
     /**
      * Event A
-     * \param a The Event parameter.
+     * @param a The Event parameter.
      */
     void EventA(int a);
     /**
      * Event B
-     * \param b The Event parameter.
+     * @param b The Event parameter.
      */
     void EventB(int b);
     /**
      * Event C
-     * \param c The Event parameter.
+     * @param c The Event parameter.
      */
     void EventC(int c);
     /**
      * Event D
-     * \param d The Event parameter.
+     * @param d The Event parameter.
      */
     void EventD(int d);
     /**
      * No-op function, records the thread that called it.
-     * \param threadno The thread number.
+     * @param threadno The thread number.
      */
     void DoNothing(unsigned int threadno);
     /**
      * Schedule a thread.
-     * \param context The context.
+     * @param context The context.
      */
     static void SchedulingThread(std::pair<ThreadedSimulatorEventsTestCase*, unsigned int> context);
     /**
@@ -268,9 +268,9 @@
 }
 
 /**
- * \ingroup threaded-tests
+ * @ingroup threaded-tests
  *
- * \brief The threaded simulator Test Suite.
+ * @brief The threaded simulator Test Suite.
  */
 class ThreadedSimulatorTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/timer-test-suite.cc ns-3.44/src/core/test/timer-test-suite.cc
--- ns-3.43/src/core/test/timer-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/timer-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -11,46 +11,42 @@
 #include "ns3/timer.h"
 
 /**
- * \file
- * \ingroup timer-tests
+ * @file
+ * @ingroup timer-tests
  * Timer test suite
  */
 
 /**
- * \ingroup core-tests
- * \defgroup timer-tests Timer tests
+ * @ingroup core-tests
+ * @defgroup timer-tests Timer tests
  */
 
 namespace
 {
 
-// clang-format off
-
 /// Function with one int parameter.
-void bari (int) {};
+void bari(int){};
 /// Function with two int parameters.
-void bar2i (int, int) {};
+void bar2i(int, int){};
 /// Function with three int parameters.
-void bar3i (int, int, int) {};
+void bar3i(int, int, int){};
 /// Function with four int parameters.
-void bar4i (int, int, int, int) {};
+void bar4i(int, int, int, int){};
 /// Function with five int parameters.
-void bar5i (int, int, int, int, int) {};
+void bar5i(int, int, int, int, int){};
 /// Function with one const int reference parameter.
-void barcir (const int &) {};
+void barcir(const int&){};
 /// Function with one int reference parameter.
-void barir (int &) {};
-
-// clang-format on
+void barir(int&){};
 
 } // anonymous namespace
 
 using namespace ns3;
 
 /**
- * \ingroup timer-tests
+ * @ingroup timer-tests
  *
- * \brief Check correct state transitions.
+ * @brief Check correct state transitions.
  */
 class TimerStateTestCase : public TestCase
 {
@@ -71,7 +67,7 @@
 
     timer.SetFunction(&bari);
     timer.SetArguments(1);
-    timer.SetDelay(Seconds(10.0));
+    timer.SetDelay(Seconds(10));
     NS_TEST_ASSERT_MSG_EQ(!timer.IsRunning(), true, "");
     NS_TEST_ASSERT_MSG_EQ(timer.IsExpired(), true, "");
     NS_TEST_ASSERT_MSG_EQ(!timer.IsSuspended(), true, "");
@@ -99,9 +95,9 @@
 }
 
 /**
- * \ingroup timer-tests
+ * @ingroup timer-tests
  *
- * \brief Check that Timer template magic is working.
+ * @brief Check that Timer template magic is working.
  */
 class TimerTemplateTestCase : public TestCase
 {
@@ -164,7 +160,7 @@
     // the following call cannot possibly work and is flagged by
     // a runtime error.
     // timer.SetArguments (0.0);
-    timer.SetDelay(Seconds(1.0));
+    timer.SetDelay(Seconds(1));
     timer.Schedule();
 
     timer.SetFunction(&TimerTemplateTestCase::bazi, this);
@@ -210,9 +206,9 @@
 }
 
 /**
- * \ingroup timer-tests
+ * @ingroup timer-tests
  *
- * \brief The timer Test Suite.
+ * @brief The timer Test Suite.
  */
 class TimerTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/time-test-suite.cc ns-3.44/src/core/test/time-test-suite.cc
--- ns-3.43/src/core/test/time-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/time-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -22,47 +22,47 @@
 using namespace ns3;
 
 /**
- * \ingroup core-tests
- * \brief time simple test case, Checks the basic operations on time
+ * @ingroup core-tests
+ * @brief time simple test case, Checks the basic operations on time
  */
 class TimeSimpleTestCase : public TestCase
 {
   public:
     /**
-     * \brief constructor for TimeSimpleTestCase.
+     * @brief constructor for TimeSimpleTestCase.
      */
     TimeSimpleTestCase();
 
   private:
     /**
-     * \brief setup function for TimeSimpleTestCase.
+     * @brief setup function for TimeSimpleTestCase.
      */
     void DoSetup() override;
 
     /**
-     * \brief Runs the Simple Time test case.
+     * @brief Runs the Simple Time test case.
      */
     void DoRun() override;
 
     /**
-     * \brief Tests the Time Operations.
+     * @brief Tests the Time Operations.
      */
     virtual void DoTimeOperations();
 
     /**
-     * \brief Does the tear down for TimeSimpleTestCase.
+     * @brief Does the tear down for TimeSimpleTestCase.
      */
     void DoTeardown() override;
 
     /**
      * Helper function to handle boilerplate code for multiplication tests
      *
-     * \tparam T type of multiplication value
+     * @tparam T type of multiplication value
      *
-     * \param t Time value to multiply
-     * \param expected Expected result of the multiplication
-     * \param val Value to multiply by
-     * \param msg Error message to print if test fails
+     * @param t Time value to multiply
+     * @param expected Expected result of the multiplication
+     * @param val Value to multiply by
+     * @param msg Error message to print if test fails
      */
     template <typename T>
     void TestMultiplication(Time t, Time expected, T val, const std::string& msg);
@@ -80,12 +80,12 @@
     /**
      * Helper function to handle boilerplate code for division tests
      *
-     * \tparam T type of division value
+     * @tparam T type of division value
      *
-     * \param t Time value to divide
-     * \param expected Expected result of the division
-     * \param val Value to divide by
-     * \param msg Error message to print if test fails
+     * @param t Time value to divide
+     * @param expected Expected result of the division
+     * @param val Value to divide by
+     * @param msg Error message to print if test fails
      */
     template <typename T>
     void TestDivision(Time t, Time expected, T val, const std::string& msg);
@@ -168,11 +168,11 @@
                               10.0,
                               Minutes(1).GetMinutes(),
                               "is 10 really 10 ?");
-    NS_TEST_ASSERT_MSG_EQ_TOL(Seconds(1.0).GetSeconds(),
+    NS_TEST_ASSERT_MSG_EQ_TOL(Seconds(1).GetSeconds(),
                               1.0,
                               TimeStep(1).GetSeconds(),
                               "is 1 really 1 ?");
-    NS_TEST_ASSERT_MSG_EQ_TOL(Seconds(10.0).GetSeconds(),
+    NS_TEST_ASSERT_MSG_EQ_TOL(Seconds(10).GetSeconds(),
                               10.0,
                               TimeStep(1).GetSeconds(),
                               "is 10 really 10 ?");
@@ -325,30 +325,30 @@
 }
 
 /**
- * \ingroup core-tests
- * \brief  time-tests Time with Sign test case
+ * @ingroup core-tests
+ * @brief  time-tests Time with Sign test case
  */
 class TimeWithSignTestCase : public TestCase
 {
   public:
     /**
-     * \brief constructor for TimeWithSignTestCase.
+     * @brief constructor for TimeWithSignTestCase.
      */
     TimeWithSignTestCase();
 
   private:
     /**
-     * \brief DoSetup for TimeWithSignTestCase.
+     * @brief DoSetup for TimeWithSignTestCase.
      */
     void DoSetup() override;
 
     /**
-     * \brief DoRun for TimeWithSignTestCase.
+     * @brief DoRun for TimeWithSignTestCase.
      */
     void DoRun() override;
 
     /**
-     * \brief DoTeardown for TimeWithSignTestCase.
+     * @brief DoTeardown for TimeWithSignTestCase.
      */
     void DoTeardown() override;
 };
@@ -399,32 +399,32 @@
 }
 
 /**
- * \ingroup core-tests
- * \brief Input output Test Case for Time
+ * @ingroup core-tests
+ * @brief Input output Test Case for Time
  */
 class TimeInputOutputTestCase : public TestCase
 {
   public:
     /**
-     * \brief Constructor for TimeInputOutputTestCase.
+     * @brief Constructor for TimeInputOutputTestCase.
      */
     TimeInputOutputTestCase();
 
   private:
     /**
-     * \brief DoRun for TimeInputOutputTestCase.
+     * @brief DoRun for TimeInputOutputTestCase.
      */
     void DoRun() override;
     /**
-     * \brief Check roundtrip from/to string.
-     * \param str Time input check.
+     * @brief Check roundtrip from/to string.
+     * @param str Time input check.
      */
     void Check(const std::string& str);
 
     /**
-     * \brief Check autoscaling output using Time::As()
-     * \param t Time instance.
-     * \param expect Expected string output with Time::As() autoscaling.
+     * @brief Check autoscaling output using Time::As()
+     * @param t Time instance.
+     * @param expect Expected string output with Time::As() autoscaling.
      */
     void CheckAs(const Time t, const std::string expect);
 };
@@ -524,8 +524,8 @@
 }
 
 /**
- * \ingroup core-tests
- * \brief   Time test Suite.  Runs the appropriate test cases for time
+ * @ingroup core-tests
+ * @brief   Time test Suite.  Runs the appropriate test cases for time
  */
 static class TimeTestSuite : public TestSuite
 {
@@ -539,5 +539,5 @@
         AddTestCase(new TimeSimpleTestCase(), TestCase::Duration::QUICK);
     }
 }
-/** \brief Member variable for time test suite */
+/** @brief Member variable for time test suite */
 g_timeTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/traced-callback-test-suite.cc ns-3.44/src/core/test/traced-callback-test-suite.cc
--- ns-3.43/src/core/test/traced-callback-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/traced-callback-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -10,18 +10,18 @@
 using namespace ns3;
 
 /**
- * \file
- * \ingroup tracedcallback-tests
+ * @file
+ * @ingroup tracedcallback-tests
  * TracedCallback test suite
  */
 
 /**
- * \ingroup core-tests
- * \defgroup tracedcallback-tests TracedCallback class tests
+ * @ingroup core-tests
+ * @defgroup tracedcallback-tests TracedCallback class tests
  */
 
 /**
- * \ingroup tracedcallback-tests
+ * @ingroup tracedcallback-tests
  *
  * TracedCallback Test case, check basic TracedCallback operation.
  */
@@ -39,8 +39,8 @@
 
     /**
      * First callback.
-     * \param a First parameter.
-     * \param b Second parameter.
+     * @param a First parameter.
+     * @param b Second parameter.
      */
     void CbOne(uint8_t a, double b);
 
@@ -123,9 +123,9 @@
 }
 
 /**
- * \ingroup tracedcallback-tests
+ * @ingroup tracedcallback-tests
  *
- * \brief The traced callback Test Suite.
+ * @brief The traced callback Test Suite.
  */
 class TracedCallbackTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/trickle-timer-test-suite.cc ns-3.44/src/core/test/trickle-timer-test-suite.cc
--- ns-3.43/src/core/test/trickle-timer-test-suite.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/core/test/trickle-timer-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -14,10 +14,10 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup core-tests
- * \ingroup timer
- * \ingroup timer-tests
+ * @file
+ * @ingroup core-tests
+ * @ingroup timer
+ * @ingroup timer-tests
  *
  * Trickle Timer test suite.
  *
@@ -35,7 +35,7 @@
 {
 
 /**
- * \ingroup timer-tests
+ * @ingroup timer-tests
  *  TrickleTimer test
  */
 class TrickleTimerTestCase : public TestCase
@@ -57,20 +57,20 @@
 
     /**
      * Test the steady-state
-     * \param unit Minimum interval
+     * @param unit Minimum interval
      */
     void TestSteadyState(Time unit);
 
     /**
      * Test the redundancy suppression
-     * \param unit Minimum interval
+     * @param unit Minimum interval
      */
     void TestRedundancy(Time unit);
 
     /**
      * Inject in the timer a consistent event
-     * \param interval Interval
-     * \param tricklePtr Pointer to the TrickleTimer
+     * @param interval Interval
+     * @param tricklePtr Pointer to the TrickleTimer
      */
     void ConsistentEvent(Time interval, TrickleTimer* tricklePtr);
 
@@ -194,7 +194,7 @@
 }
 
 /**
- * \ingroup timer-tests
+ * @ingroup timer-tests
  *  Trickle Timer test suite
  */
 class TrickleTimerTestSuite : public TestSuite
@@ -209,7 +209,7 @@
 };
 
 /**
- * \ingroup timer-tests
+ * @ingroup timer-tests
  * TrickleTimerTestSuite instance variable.
  */
 static TrickleTimerTestSuite g_trickleTimerTestSuite;
